文档首页> 云数据库 RDS> 常见问题> 安装客户端> 如何安装PostgreSQL客户端
更新时间:2022-04-27 GMT+08:00
分享

如何安装PostgreSQL客户端

PostgreSQL官网提供了针对不同操作系统的客户端安装包,以及包含动态依赖库的软件包。

RDS for PostgreSQL提供了PostgreSQL增强版11版本的客户端安装包,以及动态依赖库安装包,请使用该版本客户端连接RDS for PostgreSQL增强版实例。

请务必安装与您的RDS for PostgreSQL数据库实例引擎版本匹配的数据库客户端。

下面将以Red Hat Linux 6下PostgreSQL 9.5的最新版本为例,介绍如何获取相应安装包及完成安装。

操作步骤

  1. 获取PostgreSQL客户端安装包。

    在下载页面找到对应版本的链接,以postgresql95为例,打开页面后,即可下载安装包。

    图1 下载PG客户端

  2. 获取PostgreSQL客户端动态依赖库包。

    在下载页面找到对应版本的链接,以postgresql95-libs为例, 打开页面后,即可下载动态依赖库包。

    图2 下载PG客户端动态依赖库

  3. 将安装包与动态依赖库包上传到弹性云服务器

    1. 创建弹性云服务器时,要选择操作系统,例如Redhat6.6,并为其绑定EIP(Elastic IP,弹性公网IP)。
    2. 使用远程连接工具通过绑定的EIP连接到弹性云服务器,即可将安装包与动态依赖包上传到弹性云服务器

  4. 执行以下命令安装PostgreSQL客户端。

    sudo rpm -ivh postgresql95-9.5.7-1PGDG.rhel6.x86_64.rpm postgresql95-libs-9.5.7-1PGDG.rhel6.x86_64.rpm
    • 如果安装过程中报conflicts,可增加replacefiles参数重新安装,如下:
      rpm -ivh --replacefiles postgresql95-9.5.7-1PGDG.rhel6.x86_64.rpm postgresql95-libs-9.5.7-1PGDG.rhel6.x86_64.rpm
    • 如果安装过程中提示需要安装依赖包,可增加nodeps参数重新安装,如下:
      rpm -ivh --nodeps postgresql95-9.5.7-1PGDG.rhel6.x86_64.rpm postgresql95-libs-9.5.7-1PGDG.rhel6.x86_64.rpm

分享:

安装客户端所有常见问题

more

close